## imcode.util.io
Class TestFileUtility

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              imcode.util.io.TestFileUtility

All Implemented Interfaces:
  junit.framework.Test

    public class TestFileUtility

extends junit.framework.TestCase

Constructor Summary
`TestFileUtility()`

Method Summary
`void` `setUp()`
`protected void` `tearDown()`
`void` `testBackupRename()`
`void` `testDirectoryIsAncestorOfOrEqualTo()`
`void` `testEscapeFilename()`
`void` `testEscapes()`
`void` `testRelativizeFile()`
`void` `testUnescapeFilename()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestFileUtility

    public TestFileUtility()

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testUnescapeFilename

    public void testUnescapeFilename()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEscapeFilename

    public void testEscapeFilename()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEscapes

    public void testEscapes()

### testDirectoryIsAncestorOfOrEqualTo

    public void testDirectoryIsAncestorOfOrEqualTo()
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### testRelativizeFile

    public void testRelativizeFile()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBackupRename

    public void testBackupRename()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`